aboutsummaryrefslogtreecommitdiff
path: root/install.sh
diff options
context:
space:
mode:
authorBryson Steck <bryson@donald.local>2022-03-11 17:08:02 -0700
committerBryson Steck <bryson@donald.local>2022-03-11 17:08:02 -0700
commit54037847b6a81c3a44ed433e7c4219115c1b4245 (patch)
treec91ac457fb9e3e9efdccf4084d468e4e5532b0b4 /install.sh
parent547e0a79df903f4f5cb8ceb0e5203901bd43ea19 (diff)
downloadlset-54037847b6a81c3a44ed433e7c4219115c1b4245.tar
lset-54037847b6a81c3a44ed433e7c4219115c1b4245.tar.gz
lset-54037847b6a81c3a44ed433e7c4219115c1b4245.tar.bz2
fixed install script
Diffstat (limited to 'install.sh')
-rwxr-xr-xinstall.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/install.sh b/install.sh
index 89d8071..459f39e 100755
--- a/install.sh
+++ b/install.sh
@@ -1,7 +1,8 @@
# check if correct programs are installed
type git npm node python3 pip3
+ERROR="$?"
-if [[ $! -ne 0 ]]; then
+if [[ ERROR -ne 0 ]]; then
echo "install: one or more of the above programs are not installed. the programs in question have lines that end in \"not found\". please make sure that these programs are installed through your package manager"
exit 0
else